--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The port used during traceroute
  name: port
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The protocol used during traceroute
  name: proto
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This holds information on a traceroute, such as the port and protocol used and an array of responsive hops
constants: []

full_name: Nmap::Parser::Host::Traceroute
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: hop
- !ruby/object:RI::MethodSummary 
  name: hops
name: Traceroute
superclass: Object
